"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readDir = exports.removeFile = exports.appendFile = exports.writeFile = exports.readFile = void 0;
const fs = require("fs");
const readFile = (path) => new Promise((resolve, reject) => fs.readFile(path, 'utf8', (err, res) => (err ? reject(err) : resolve(res))));
exports.readFile = readFile;
const writeFile = (path, data) => new Promise((resolve, reject) => fs.writeFile(path, data, (err) => (err ? reject(err) : resolve())));
exports.writeFile = writeFile;
const appendFile = (path, data) => new Promise((resolve, reject) => fs.appendFile(path, data, (err) => (err ? reject(err) : resolve())));
exports.appendFile = appendFile;
const removeFile = (path) => new Promise((resolve, reject) => fs.unlink(path, (err) => (err && err.message === 'EENOENT' ? reject(err) : resolve())));
exports.removeFile = removeFile;
const readDir = (path) => new Promise((resolve, reject) => fs.readdir(path, (err, files) => (err ? reject(err) : resolve(files))));
exports.readDir = readDir;
//# sourceMappingURL=files.js.map